This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 112445 - orinoco_cs nonfunctional under 2.6.0 RPMs
orinoco_cs nonfunctional under 2.6.0 RPMs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-19 14:33 EST by Joshua M. Thompson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-19 04:50:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua M. Thompson 2003-12-19 14:33:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Using the arjanv 2.6.0 RPMs on a Gateway 600XL laptop runing Fedora
Core 1 the orinoco_cs loads but cannot attach to the card. No error
messages are produced. I was able to correct this by rebuilding the
source RPM but removing the patch that changed "-O2" to "-Os" in the
main kernel Makefile.


Version-Release number of selected component (if applicable):
2.6.0-1.1.103

How reproducible:
Always

Steps to Reproduce:
1.Install arjanv 2.6 RPM
2.Try to load orinoco_cs

    

Actual Results:  The driver loads but does not attach to the wireless card

Expected Results:  The driver should have attached to the wireless card.

Additional info:
Comment 1 Arjan van de Ven 2003-12-20 05:01:08 EST
sigh this sounds like a nasty driver bug; this driver breaks like this
if gcc has even slightly different optimisations.... more like a
driver bug than gcc bug ;(
Comment 2 Arjan van de Ven 2004-01-19 04:50:26 EST
cause found and fixed now
(typing over a wireless connection with orinoco right now)

Note You need to log in before you can comment on or make changes to this bug.